### Method

# EDataServer SourceCredentialsProvider can_store

since: 3.16

#### Declaration [src]

    gboolean
    e_source_credentials_provider_can_store (
      ESourceCredentialsProvider* provider,
      ESource* source
    )

#### Description [src]

Returns whether the `source` can store its credentials. When `FALSE` is returned, an attempt to call `e_source_credentials_provider_store()` or `e_source_credentials_provider_store_sync()` will fail for this `source`.

Available since: 3.16

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE`, when the credentials storing for `source` is possible, `FALSE` otherwise.